Core - Bug # 52816

Bug # 52815 (Closed): Translation Handling for FAL

Status: Resolved Priority: Should have

Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2013-10-14 Assigned To: Steffen Ritter

Updated: 2013-10-15 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity:

Is Regression: No

Sprint Focus:

Subject: Make sys_file_metadata and sys_file_references table translatable

Description

sys_file_metadata and sys_file_references needs to be translatable

Related issues:
related to Core - Feature # 45278: Translation of file objects

related to Core - Bug # 57488: page record overlays: media field not translat...

Closed
Resolved

2013-02-08
2014-04-01

Associated revisions

Revision 91aede7f - 2013-10-15 14:19 - Steffen Ritter

[TASK] Make sys_file_metadata translatable

This patch adds SQL and TCA to sys_file_metadata
allowing the table to be localized. In addition

IRRE for sys_file_references is slightly reconfigured
and the - already prepared - repository is adapted to
only return live records in default language.

Resolves: #52816

Releases: 6.2

Change-Id: la5fbb1423f7ab2f73f58d9671a50a3c379e9e1f3
Reviewed-on: https://review.typo3.org/24751

Reviewed-by: Fabien Udriot
Tested-by: Fabien Udriot
Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

History

#1 - 2013-10-14 21:50 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24751

#2 - 2013-10-15 00:23 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/24751

#3 - 2013-10-15 07:16 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24751

#4 - 2013-10-15 08:30 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24751

#5 - 2013-10-15 08:31 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/24751

#6 - 2013-10-15 13:03 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24751

#7 - 2013-10-15 13:21 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24751

#8 - 2013-10-15 13:55 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.

It is available at https://review.typo3.0rg/24751

#9 - 2013-10-15 14:06 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24751

#10 - 2013-10-15 14:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:91ae4e7fbe2404aac8a7178fb7e27ae5dc07dc20.
